PLYMOUTH(8)

NAME
plymouth - A graphical boot system and logger

SYNOPSIS
plymouth-set-default-theme [options] <theme>

DESCRIPTION
plymouth is a graphical boot system for Linux which takes advantage of the kernel-based mode setting (KMS) available for modern graphic cards to provide a seamless, flickerfree and attractive boot screen. It allows to choose between various, static or animated graphical themes to spruce up the startup and avoid the noise generated by the vast amount of kernel messages while the machine boots into X. On systems where kernel-based mode setting is not available, plymouth falls back to a text mode boot screen which provides a simple progress bar to provide feedback during boot.

To configure plymouth, that is to choose and install the preferred boot theme, the user has to invoke plymouth-set-default-theme. It changes the configuration to the new theme and also performs the necessary regeneration of the initial ramdisk (initrd) since plymouth is loaded from the boot loader from the initrd prior to the mounting of the root filesystem. The options available to this script are explained in the OPTIONS paragraph.

In order for the configured default plymouth theme to be loaded during boot, the option `splash' (or `rhgb' for backward compatibility with the RHGB boot splash) must be provided at the kernel command line. With this command line option, plymouth will default to showing detailed boot output.

OPTIONS
plymouth-set-default-theme follows the usual GNU command line syntax, with long options starting with two dashes (`-') and short variants of each of them.

-h, --help
    Show summary of options.

-l, --list
    List available themes.

-r, --reset
    Reset to default theme.

-R, --rebuild-initrd
    Rebuild initrd (necessary after changing theme).

<theme-name>
    Name of new theme to use. If you want to see which themes are available, invoke the script with just --list.

If plymouth-set-default-theme is invoked with no options or parameters, it shows the currently selected theme by default. This output is used by the helper scripts `plymouth-generate-initrd' and `plymouth-update-initrd' to set the proper theme in the initial ramdisk.

SEE ALSO
grub(8)

AUTHOR
plymouth was originally prototyped and named by Kristian Høgsberg <krh@bitplanet.net>, originally written by Ray Strode <halfline@gmail.com> and has had significant contributions from Charlie Brej <cbrej@cs.man.ac.uk>. It has also had contributions from Peter Jones <pjones@redhat.com>, Adam Jackson <ajax@nwnk.net>, Frederic Crozat <fcrozat@mandriva.com> and others. It can be downloaded here: <http://www.freedesktop.org/wiki/Software/Plymouth>.

This manual page was written by Adrian Glaubitz <glaubitz@physik.fu-berlin.de>.